unit UEditDialog;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, UBiffEditUtil, ComCtrls;

type
  TEditDialog = class(TForm)
    edId: TEdit;
    Label1: TLabel;
    edSize: TEdit;
    Label2: TLabel;
    edData: TRichEdit;
    btnOk: TBitBtn;
    btnCancel: TBitBtn;
    Label3: TLabel;
    Bevel2: TBevel;
    edVersion: TEdit;
    lblVersion: TLabel;
    StatusBar: TStatusBar;
    procedure btnOkClick(Sender: TObject);
    procedure edDataSelectionChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}

procedure TEditDialog.btnOkClick(Sender: TObject);
begin
  //Validate
  try
    StrToInt('$'+edId.Text);
    if (StrToInt(edSize.Text)<0) then raise Exception.Create(ErrBadLen);
    HexToStr(edData.Text,StrToInt(edSize.Text));
  except
    ModalResult:=mrNone;
    raise;
  end;
end;

procedure TEditDialog.edDataSelectionChange(Sender: TObject);
begin
  StatusBar.SimpleText:= format(TxtCursorPos,[edData.SelStart div 3]);
end;

end.
